# $Revision: 1.44 $, $Date: 2012/06/13 17:27:06 $
Summary:	X.org input driver for Synaptics and ALPS touchpads
Summary(pl.UTF-8):	Sterownik wejściowy X.org do touchpadów Synaptics oraz ALPS
Name:		xorg-driver-input-synaptics
Version:	1.6.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/archive/individual/driver/xf86-input-synaptics-%{version}.tar.bz2
# Source0-md5:	9914022a173e3f0ccfe7137ab84f6133
URL:		http://xorg.freedesktop.org/
BuildRequires:	mtdev-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libXi-devel >= 1.2
BuildRequires:	xorg-lib-libXtst-devel >= 1.0.99.1
BuildRequires:	xorg-proto-inputproto-devel >= 2.1.99.3
BuildRequires:	xorg-proto-recordproto-devel
BuildRequires:	xorg-util-util-macros >= 1.13
BuildRequires:	xorg-xserver-server-devel >= 1.11.99.901
Requires:	xorg-lib-libXi >= 1.2
Requires:	xorg-lib-libXtst >= 1.0.99.1
Requires:	xorg-xserver-server >= 1.11.99.901
%{?requires_xorg_xserver_xinput}
Obsoletes:	X11-input-synaptics
Obsoletes:	X11-synaptics
Obsoletes:	XFree86-input-synaptics
Obsoletes:	xorg-app-synaptics
ExcludeArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Synaptics touchpads.

%description -l pl.UTF-8
Sterownik wejściowy X.org do touchpadów Synaptics.

%package devel
Summary:	Header file for synaptics driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika synaptics
Group:		Development/Libraries

%description devel
Header file for synaptics driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika synaptics.

%prep
%setup -q -n xf86-input-synaptics-%{version}

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/input/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/synclient
%attr(755,root,root) %{_bindir}/syndaemon
%attr(755,root,root) %{_libdir}/xorg/modules/input/synaptics_drv.so
%{_datadir}/X11/xorg.conf.d/50-synaptics.conf
%{_mandir}/man1/synclient.1*
%{_mandir}/man1/syndaemon.1*
%{_mandir}/man4/synaptics.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/synaptics.h
%{_includedir}/xorg/synaptics-properties.h
%{_pkgconfigdir}/xorg-synaptics.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-input-synaptics.spec,v $
Revision 1.44  2012/06/13 17:27:06  qboosh
- updated to 1.6.2

Revision 1.43  2012/05/11 04:44:02  arekm
- up to 1.6.1

Revision 1.42  2012/05/03 06:55:12  arekm
- up to 1.6.0

Revision 1.41  2012/05/01 06:37:45  arekm
- up to 1.5.99.904

Revision 1.40  2012/03/26 17:57:02  qboosh
- BR: recordproto

Revision 1.39  2012/03/23 07:38:44  lmasko
-- Up to 1.5.99.902 (1.6 RC2).

Revision 1.38  2012/03/14 19:02:09  qboosh
- bumped inputproto and xserver deps to ensure MT support is built

Revision 1.37  2012/03/14 15:26:45  lmasko
- Up to 1.5.99.901 - builds with xserver 1.12.0.

Revision 1.36  2012/03/05 06:25:24  arekm
- release 2

Revision 1.35  2011/09/07 16:52:00  qboosh
- updated util-macros version

Revision 1.34  2011/09/02 06:20:02  arekm
- up to 1.5.0

Revision 1.33  2011/08/27 09:00:53  arekm
- release 2

Revision 1.32  2011/06/29 00:51:34  qboosh
- updated to 1.4.1

Revision 1.31  2011/06/25 16:30:33  kiesiu
- reverted to 1.4.0 on HEAD

Revision 1.30  2011/06/25 16:10:24  kiesiu
- updated to 1.4.0.901

Revision 1.29  2011/03/04 15:22:04  qboosh
- up to 1.4.0

Revision 1.28  2011/02/27 08:47:57  arekm
- up to 1.3.99.901

Revision 1.27  2011/02/27 08:33:28  arekm
- release 2

Revision 1.26  2010/09/01 18:09:14  qboosh
- updated util-macros version

Revision 1.25  2010/09/01 05:40:59  arekm
- up to 1.3.0

Revision 1.24  2010/08/29 07:33:14  qboosh
- updated deps
- disable silent-rules

Revision 1.23  2010/08/21 07:28:07  arekm
- release 5

Revision 1.22  2010/04/03 07:52:06  arekm
- rel 4; xorg.conf.d instead of conf.d

Revision 1.21  2010/04/02 08:29:23  arekm
- release 3

Revision 1.20  2010/04/02 08:10:24  arekm
- rel 2; add 10-synaptics.conf for new xserver

Revision 1.19  2010/03/26 06:20:17  arekm
- up to 1.2.2

Revision 1.18  2009/12/14 17:07:19  sparky
- BR: xorg-lib-libXi-devel

Revision 1.17  2009/12/14 08:35:24  arekm
- up to 1.2.1

Revision 1.16  2009/10/09 05:06:47  arekm
- up to 1.2.0

Revision 1.15  2009/10/02 08:27:17  arekm
- release 2

Revision 1.14  2009/09/07 05:39:59  arekm
- up to 1.1.99.1

Revision 1.13  2009/08/03 07:04:39  arekm
- up to 1.1.3

Revision 1.12  2009/05/28 06:34:15  arekm
- up to 1.1.2

Revision 1.11  2009/05/21 06:36:46  arekm
- up to 1.1.1

Revision 1.10  2009/03/09 06:17:52  arekm
- up to 1.1.0

Revision 1.9  2009/02/26 06:12:20  arekm
- release 2

Revision 1.8  2009/02/02 06:17:42  arekm
- up to 1.0.0

Revision 1.7  2008/12/25 08:06:07  qboosh
- more verbose

Revision 1.6  2008/12/19 00:12:42  adamg
- updated to 0.99.3; devel subpkg

Revision 1.5  2008/09/27 20:48:16  arekm
- up to 0.15.2

Revision 1.4  2008/09/10 16:24:39  qboosh
- unified, post-XFree86 cleanup
- added COPYING to doc

Revision 1.3  2008/09/07 19:58:22  lmasko
- Added missing BR: xorg-lib-libpciaccess-devel

Revision 1.2  2008/09/07 19:25:19  arekm
- up to 0.15.1

Revision 1.1  2008/08/13 18:04:17  arekm
- initial
